

#include <cc430f5137.h>
#include <stdint.h>
#include "led_commands.h"
#include "ports.h"

int main(void)
{
port_mapping();		//LED configuration
 
while(1)  {
    WDTCTL = WDTPW | WDTHOLD;		// Stopping WDT. Otherwise the device goes in standby mode if the time between two actions is too long.
  
  set_color(0x10, 0x00, 0x00, 0x00, 0x00, 0x00); 	//sets colors for the LEDs and brightness (for the board at hand only red(1st))
  
  __delay_cycles(500000);
  
  stop_led();						//stops LEDs
  
  set_color(0x00, 0x00, 0x00, 0x10, 0x00, 0x00); 	//sets colors for the LEDs and brightness (for the board at hand only red(1st) is working)

  __delay_cycles(500000);				
  
  stop_led();						//stops LEDs
  
  set_color(0x10, 0x00, 0x00, 0x10, 0x00, 0x00); 	//sets colors for the LEDs and brightness (for the board at hand only red(1st))
  
  __delay_cycles(500000);
  
  stop_led();	
  }


return 0;

  
}

