#include <msp430.h>
#include "serial.h"

#define PIN0 0x01    
#define PIN1 0x02    
#define PIN5 0x06  
#define SERIALDEV	"/dev/ttyUSB0"

int main(void)
{
    WDTCTL = WDTPW + WDTHOLD;		// Stop WDT	
    uart_init();

	
	  
	  P2OUT |= 0x06;         // Power the accelerometer through 2.5                        
	  P2DIR |= 0x06;	// |= sets high
	  
	  //Configure P1.1 and P1.0 as analog pins
	  //P1SEL |= 0x01;
	  //P1SEL |= 0x02;
	  P1DIR &=~BIT1;	// P1.1 input direction. &=~ sets low
	
	
	while(1)	  
	{
	if(P1IN & BIT1)//if P1.1 no signal send text to PC
	{
	  
	  uart_send_string("one"); 	//transmits text to pc
	__delay_cycles(200000);			//wait
	}
	if(!(P1IN & BIT1))	//if P1.1 signal send text to PC
	{
	  uart_send_string("nicht 1"); 	//transmits text to pc
	__delay_cycles(200000);			//wait
	}
	if(P1IN & BIT0)	//if P1.1 no signal send text to PC
	{
	  uart_send_string("two"); 	//transmits text to pc
	__delay_cycles(200000);			//wait
	}
	if(!(P1IN & BIT0))	//if P1.1 signal send text to PC
	{
	  uart_send_string("nicht 2"); 	//transmits text to pc
	__delay_cycles(200000);			//wait
	}
	}
	return 0;
}



// Echo back RXed character, confirm TX buffer is ready first
/*
#pragma vector=USCI_A0_VECTOR
__interrupt void USCI_A0_ISR(void)
{
  switch(UCA0IV)
  {
  case 0:break;                             // Vector 0 - no interrupt
  case 2:                                   // Vector 2 - RXIFG
    while (!(UCA0IFG&UCTXIFG));             // USCI_A0 TX buffer ready?
    UCA0TXBUF = UCA0RXBUF;                  // TX -> RXed character
    ////hier daten anstelle von rx einsetzen
    ////tx ist gleich der eingesetzte text
    break;
  case 4:break;                             // Vector 4 - TXIFG
  default: break;
  }
}
*/
