//SEND CODE

#include <msp430.h> // generic file for register name, I/O, ...
#include <stdint.h>

#include "RF1A.h"
#include "RF_Connection.h"
#include "PMM.h"
#include "led_commands.h"
#include "ports.h"

#include <msp430.h>
#include <stdint.h>

#include "transmitter_conf.h"

#define BUFFER_SIZE		3	// maximum size of data sent by rf

#define SLIP_END			0xC0
#define SLIP_ESC			0xDB
#define SLIP_ESC_END		0xDC
#define SLIP_ESC_ESC		0xDD

#define PWM_PERIOD		255

//enum slip_state_e{slip_in, slip_escaped};
//volatile static enum slip_state_e slip_state;

/*
#ifndef TRANSMITTER_ID
#define TRANSMITTER_ID		4
#endif

#ifndef DELAY
#define DELAY	1500000 // 500 ms
#endif
*/

volatile uint8_t buffer[BUFFER_SIZE];
volatile uint8_t temp[NB_BANGLES][2];
volatile uint8_t fin[NB_BANGLES][NB_BANGLES-1];

void packet_received(void)
{

}

// Any other commands are for RSSI measurement
void send_cmd(void)
{
	buffer[0] = 1;
	buffer[1] = TRANSMITTER_ID;
	rf_transmit((uint8_t *)buffer, 2);
}

int main(void)
{
	WDTCTL = WDTPW + WDTHOLD;                 // Stop WDT
	port_mapping();
	rf_init();
	ChangeChannel(CHANNEL_START);
	ReceiveOff();
	// enable interrupt
	_BIS_SR(GIE);	

	while(1)
	{
		send_cmd();
		LED_1();
		__delay_cycles(DELAY);

	}
	return 0;
}

